/****
 *
 * Exemplo: Funo strtol()
 *
 * Seo: 3.4.10
 *
 ****/

#include <stdio.h>   /* printf() */
#include <stdlib.h>  /* strtol()   */

int main(void)
{
   char *str = "1234ab",
        *fim; /* Apontar para o caractere */
              /* no qual a converso parou */
   int   resultado;

   resultado = strtol(str, &fim, 10);

   printf( "\n>>> String \"%s\" convertido em int (base 10): %d",
           str, resultado );

   if (*fim) {
      printf( "\n>>> A conversao parou em '%c'\n", *fim);
   } else {
      printf( "\n>>> Todos os caracteres foram convertidos\n");
   }

   resultado = strtol(str, &fim, 16);

   printf( "\n>>> String \"%s\" convertido em int (base 16): %d",
           str, resultado );

   if (*fim) {
      printf( "\n>>> A conversao parou em '%c'\n", *fim);
   } else {
      printf( "\n>>> Todos os caracteres foram convertidos\n");
   }

   return 0;
}

/****************** Resultado do Programa *****************

>>> String "1234ab" convertido em int (base 10): 1234
>>> A conversao parou em 'a'

>>> String "1234ab" convertido em int (base 16): 1193131
>>> Todos os caracteres foram convertidos

**********************************************************/
