#ifndef _Lista_H_
#define _Lista_H_

/***************** Constantes Simblicas ******************/

   /* Nmero mximo de elementos numa lista */
#define MAX_ELEMENTOS 20

/****************** Definies de Tipos *******************/

typedef int tElemento;

typedef struct {
           int       nElementos; /* Nmero de elementos */
           tElemento elementos[MAX_ELEMENTOS]; /* Os elementos */
        } tLista;

/******************* Aluses de Funes *******************/

extern void IniciaLista(tLista *lista);
extern int Comprimento(const tLista *lista);
extern tElemento ObtemElemento(const tLista *lista,
                               int indice);
extern int InsereElemento(tLista *lista, tElemento item,
                          int indice);
extern tElemento RemoveElemento(tLista *lista, int indice);
extern int EstaVazia(const tLista *lista);
extern int BuscaElemento(const tLista *lista,
                         tElemento elemento);
extern int AcrescentaElemento(tLista *lista,
                              tElemento elemento);
extern int AlteraElemento(tLista *lista, int indice,
                          tElemento novoValor);

#endif
