#ifndef _Fila_H_
#define _Fila_H_

/****************** Definies de Tipos *******************/

typedef  char tElemento;

typedef struct {
           tElemento *itens; /* Ponteiro para o array */
                             /* que conter os itens  */
           int        frente, fundo;
           int        tamanhoArray; /* Nmero de elementos */
                                    /* do array            */
        } tFila;

/******************* Aluses de Funes *******************/

extern void CriaFila(tFila **f);
extern void DestroiFila(tFila *fila);
extern int FilaVazia(const tFila *f);
extern tElemento ElementoFrente(const tFila *f);
extern void Acrescenta(tFila *f, const tElemento *item);
extern tElemento Retira(tFila *f);

#endif
