/******
 *
 * Arquivo Pilha.h: Interface do mdulo Pilha
 *
 *****/

#ifndef _Pilha_H_
#define _Pilha_H_

/****************** Definies de Tipos *******************/

typedef char tElemento;

typedef struct rotPilha {
           tElemento        conteudo;
           struct rotPilha *proximo;
        } tNo, *tPilha;

/******************* Aluses de Funes *******************/

extern void CriaPilha(tPilha *p);
extern void DestroiPilha(tPilha *pilha);
extern int PilhaVazia(const tPilha *p);
extern tElemento ElementoTopo(const tPilha *p);
extern void Empilha(tPilha *p, const tElemento *item);
extern tElemento Desempilha(tPilha *p);

#endif
