#ifndef _Fila_H_
#define _Fila_H_

/****************** Definies de Tipos *******************/

typedef  char tElemento;

typedef struct no {
           tElemento  conteudo;
           struct no *proximo;
        } tNo, *tListaSE;

typedef struct  {
           tNo *frente;
           tNo *fundo;
        } tFila;

/******************* Aluses de Funes *******************/

extern void CriaFila(tFila *f);
extern void DestroiFila(tFila *f);
extern int FilaVazia(const tFila *f);
extern tElemento ElementoFrente(const tFila *f);
extern void Acrescenta(tFila *f, const tElemento *item);
extern tElemento Retira(tFila *f);

#endif
