/****
 *
 * Exemplo: Ponteiros para Funes como Parmetros de Fune
 *
 * Seo: 7.1.5
 *
 * Demonstra: Funo que recebe um ponteiro para
 *            funo como parmetro
 *
 ****/

#include <stdio.h>

void FuncaoComPonteiroParaFuncao(double f, int (*pf)(double))
{
   /* Corpo da funo FuncaoComPonteiroParaFuncao() */
}

int  F1(double umDouble)
{
   /* Corpo da funo F1() */
}

int  F2(double umDouble)
{
   /* Corpo da funo F2() */
}

void  F3(double umDouble)
{
   /* Corpo da funo F3() */
}

int main(void)
{
   double x;

   FuncaoComPonteiroParaFuncao(x, F1); /* OK */
   FuncaoComPonteiroParaFuncao(x, F2); /* OK */
   FuncaoComPonteiroParaFuncao(x, F3); /* Ilegal */

   return 0;
}
