#ifndef _Lista_H_
#define _Lista_H_

/***************** Constantes Simblicas ******************/

   /* Nmero mximo de elementos numa lista */
#define MAX_ELEMENTOS 20

/****************** Definies de Tipos *******************/

typedef int tElemento;

typedef struct {
           int   nElementos; /* Nmero de elementos na lista */
           tElemento elementos[MAX_ELEMENTOS]; /* Os elementos */
        } tLista;

/******************* Aluses de Funes *******************/

extern void IniciaLista(tLista *lista);
extern int Comprimento(const tLista *lista);
extern tElemento ObtemElemento(const tLista *lista,
                               int indice);
extern int InsereEmOrdem(tLista *lista, tElemento elemento);
extern tElemento RemoveElemento(tLista *lista, int indice);
extern int EstaVazia(const tLista *lista);
extern int BuscaBinaria(const tLista *lista,
                         tElemento elemento);
extern int BuscaBinaria2(const tLista *lista,
                         tElemento elemento);

#endif
