#ifndef _Lista_H_
#define _Lista_H_

/***************** Constantes Simblicas ******************/

   /* Nmero mximo de caracteres num nome */
#define MAX_NOME      20
   /* Nmero de caracteres numa matrcula  */
#define TAM_MATR      4

/****************** Definies de Tipos *******************/

   /* Tipo do nome */
typedef char tNome[MAX_NOME + 1];

   /* Tipo da matrcula */
typedef char tMatricula[TAM_MATR + 1];

typedef struct {
           tNome      nome;   /* Nome do aluno */
           tMatricula matr;   /* Sua matrcula */
           double     n1, n2; /* Suas notas    */
        } tAluno;

typedef tAluno tElemento;

typedef struct {
           tElemento *elementos; /* Ponteiro para o array que */
                             /* conter os elementos da lista */
           int        nElementos; /* Nmero de elementos */
                                  /* da lista            */
           int        tamanhoArray; /* Nmero de elementos */
                                    /* do array            */
        } tLista;

/******************* Aluses de Funes *******************/

extern tLista *CriaLista2(void);
extern void DestroiLista(tLista *lista);
extern int Comprimento(tLista *lista);
extern tElemento ObtemElemento(tLista *lista, int indice);
extern void InsereEmOrdem(tLista *lista,
                          const tElemento *elemento);
extern tElemento RemoveElemento2(tLista *lista, int indice);
extern int EstaVazia(tLista *lista);
extern int BuscaBinaria(tLista *lista, tNome nomeProcurado);
extern int BuscaSequencial(tLista *lista,
                           tMatricula matrProcurada);

#endif
