#ifndef _Lista_H_
#define _Lista_H_

/******************* Definies de Tipos ******************/

   /* Tipo do contedo de cada n de uma lista encadeada */
typedef int tConteudo;

   /* Tipo de n e tipo de ponteiro  */
   /* para n de uma lista encadeada */
typedef struct no {
           struct no *anterior;
           tConteudo  conteudo;
           struct no *proximo;
        } tNoDECCab, *tListaDECCab;

/************************* Aluses ************************/

extern tListaDECCab CriaListaDECCab(void);
extern int ComprimentoListaDECCab(tListaDECCab lista);
extern void InsereEmOrdemLDECCab(tListaDECCab *lista, tConteudo conteudo);
extern int RemoveNoLDECCab(tListaDECCab *lista, tConteudo conteudo);
extern int EstaVaziaLDECCab(tListaDECCab lista);
extern tConteudo *BuscaListaDECCab(tListaDECCab lista, tConteudo valor);
extern int AlteraConteudoLDECCab(tListaDECCab lista,
                             tConteudo antigo, tConteudo novo);
extern void DestroiListaDECCab(tListaDECCab *lista);
extern tConteudo *ProximoListaDECCab(tListaDECCab lista);
extern tConteudo *AnteriorListaDECCab(tListaDECCab lista);

#endif
