/****
 *
 * Exemplo: Arrays de Ponteiros
 *
 * Seo: 8.6.2
 *
 * Demonstra: Uso de arrays de ponteiros
 *
 ****/

#include <stdio.h>

void ExibeMes(int m)
{
   static  char *mes[13] = { "", "janeiro", "fevereiro", "marco",
                             "abril", "maio", "junho",
                             "julho", "agosto", "setembro",
                             "outubro", "novembro", "dezembro" };
   if ( !m || (m > 12) )
      printf("Valor ilegal para numero de mes\n");
   else
      printf("%s\n", mes[m]);
}

int main(void)
{
   int  i;

   for (i = 0; i <= 12; ++i)
      ExibeMes(i);

   return 0;
}

/****************** Resultado do Programa *****************

Valor ilegal para numero de mes
janeiro
fevereiro
marco
abril
maio
junho
julho
agosto
setembro
outubro
novembro
dezembro

**********************************************************/
