/****
 *
 * Arquivo Arvore1.h
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 22/07/2012
 * ltima modificao: 22/07/2012
 *
 * Descrio: Interface do mdulo Arvore1
 *
 ****/

#ifndef _Arvore_H_
#define _Arvore_H_

/****************** Definies de Tipos *******************/

typedef char tConteudo;

typedef struct no {
           struct no *esquerda;
           tConteudo  conteudo;
           struct no *direita;
        } tNo, *tArvore;

typedef void (*tOperacao) (tConteudo);

/************************* Aluses ************************/

extern tArvore ConstroiNo(tConteudo item);
extern void FilhoEsquerda(tNo *pNo, tConteudo item);
extern void FilhoDireita(tNo *pNo, tConteudo item);
extern void Inordem(tArvore arvore, tOperacao op);
extern void Inordem2(tArvore arvore, tOperacao op);
extern void Exibe(tArvore arvore, tOperacao fImpressao);
extern void DestroiArvoreBin(tArvore arvore);

#endif
